io.undertow.server

## Interface BlockingHttpExchange

All Superinterfaces:
  AutoCloseable, Closeable

    public interface BlockingHttpExchange
    extends Closeable

An interface that provides the input and output streams for blocking HTTP requests.

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Closes both the input and output streams
`InputStream` `getInputStream()` Returns the input stream that is in use for this exchange.
`OutputStream` `getOutputStream()` Returns the output stream that is in use for this exchange.
`Receiver` `getReceiver()` returns a receiver based on the provided input stream.
`Sender` `getSender()` Returns a sender based on the provided output stream

### Method Detail

#### getInputStream

    InputStream getInputStream()

Returns the input stream that is in use for this exchange.

Returns:
  The input stream

#### getOutputStream

    OutputStream getOutputStream()

Returns the output stream that is in use for this exchange. In some circumstances this may not be available, such as if a writer is being used for a servlet response

Returns:
  The output stream

#### getSender

    Sender getSender()

Returns a sender based on the provided output stream

Returns:
  A sender that uses the output stream

#### close

    void close()
        throws IOException

Closes both the input and output streams

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`

#### getReceiver

    Receiver getReceiver()

returns a receiver based on the provided input stream.

Returns:
  The receiver